Forum

Page 1 of 2 12 LastLast
Results 1 to 15 of 16
  1. #1
    Join Date
    October 2017
    Posts
    6

    TeamSpeak on Raspberry Pi

    Hi.

    Im installing the Teamspeak client on a Raspbian Pie 3, with Ubuntu Mate 16.04 installed.

    The Unpacking works fine, but when I run the ts3client_runscript, it sayes that access is denied.. What could be the problem?

    Hope for a quick response.

    Kent.

  2. #2
    Join Date
    June 2008
    Posts
    17,821
    Your Raspberry Pi has no supported hardware to use the client.
    ARM CPUs are not supported for server and PC client.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  3. #3
    Join Date
    October 2017
    Posts
    6

    TS on ARM

    Thanks for your response. So there is no possible way of making the Team Speak Client work on the pie? - Not even with an emulator of some kind?

    Do you know if Team Speak will support it some time in the future?

  4. #4
    Join Date
    June 2008
    Posts
    17,821
    Quote Originally Posted by Kent Falkenstrom View Post
    Not even with an emulator of some kind?
    That's nothing we give support here on our forum.

    Quote Originally Posted by Kent Falkenstrom View Post
    Do you know if Team Speak will support it some time in the future?
    ARM support is not on our feature list at his moment.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  5. #5
    Join Date
    October 2017
    Posts
    6
    Okay, thanks. Do you know of any other single board computer, with the correct CPU architecture, that will do the job?

  6. #6
    Join Date
    June 2011
    Location
    Germany
    Posts
    4,330
    Look out for something that supports x86 (or amd64). Adding that to your search terms will provide boards like the UDOO x86, the LattePanda and the Up Boards, most of which are between 100 and 150 euros. There are cheaper and more expensive Up Boards, though.

  7. #7
    Join Date
    October 2017
    Posts
    6
    Okay, Thats perfect. Thanks for the tip.

  8. #8
    Join Date
    October 2017
    Posts
    6
    The LattePanda board may seem to be the way to go.. It holds an Intel Atom Cherry Trail X5 Z8300 CPU.. And can run a full Windows 10..

    I just can't 100% figure out if it can run Teamspeak. It is not an ARM CPU, but is it X86 or AMD64 compatible?

  9. #9
    Join Date
    June 2011
    Location
    Germany
    Posts
    4,330
    Yes. It supports Intel 64, which is a superset of x86 and amd64.

  10. #10
    Join Date
    October 2017
    Posts
    6
    Thats great. Thanks. That'll be the one to order 😊

  11. #11
    Join Date
    August 2018
    Posts
    3

    Fail to run 3.2.0 and 3.3.0: Error creating HTTP connection factory

    I have an 3.0.11 server running on a rasperry pi, using exagear (which creates an x86 environment to run things like teamspeak). The upgrade of the database seemed to go well, but if fails to start completely. Here is the log:

    Code:
    2018-08-16 20:53:35.281815|INFO    |ServerLibPriv |   |TeamSpeak 3 Server 3.2.0 (2018-05-08 06:11:20)
    2018-08-16 20:53:35.322700|INFO    |ServerLibPriv |   |SystemInformation: Linux 3.18.11-v7+ #781 SMP PREEMPT Tue Apr 21 18:07:59 BST 2015 i686 Binary: 32bit
    2018-08-16 20:53:35.324663|WARNING |ServerLibPriv |   |The system locale is set to "C" this can cause unexpected behavior. We advice you to repair your locale!
    2018-08-16 20:53:35.352158|INFO    |DatabaseQuery |   |dbPlugin name:    SQLite3 plugin, Version 3, (c)TeamSpeak Systems GmbH
    2018-08-16 20:53:35.353964|INFO    |DatabaseQuery |   |dbPlugin version: 3.11.1
    2018-08-16 20:53:35.417598|INFO    |DatabaseQuery |   |checking database integrity (may take a while)
    2018-08-16 20:53:36.093331|INFO    |SQL           |   |database updated successfully to revision: 27
    2018-08-16 20:53:36.232089|INFO    |SQL           |   |database updated successfully to revision: 28
    2018-08-16 20:53:36.258304|INFO    |DatabaseQuery |   |database busy, waiting for finishing index tasks, may take some time!
    2018-08-16 20:54:16.654424|CRITICAL|ServerLib     |   |initializing server failed: Error creating HTTP connection factory: PK - Read/write of file failed (com::teamspeak::http::mbedtls:-15872)
    The log for version 3.3.0 looks the same (just with more DB update scripts). I deleted it when I tried to upgrade from 3.0.11 to 3.2.0 instead.

    What is the problem with that connection factory? I could not find anything here (addmittedly, the search in this forum is useless for full sentences) or on google

  12. #12
    Join Date
    August 2018
    Posts
    3
    Uh oh! This shouldn't have ended up in an "rasperry support" and "how to" thread.

    You might not know what exagear is and closed this too quickly: Exagear Desktop is an emulator for ARM devices, which let's us run x86 programs.
    I had an Teamspeak Server running on it for two years now, it worked perfectly fine. Heck, Exagear even advertises that users can run Teamspeak with it.

    I think that "not supported" flag was thrown at this thread a bit too quickly. Please at least try to tell me what the problem could be.
    Now that I think about it, "Read/write of file failed (com::teamspeak::http::mbedtls:-15872)", sounds like it was not able to read the SSL ca cert?

    I specified it with
    Code:
    export SSL_CERT_FILE=/etc/ssl/certs/ca-certificates.crt

  13. #13
    Join Date
    December 2018
    Posts
    1

    Licensing Aktivat on Raspberry PI

    hello how can I activate the license in raspberry pi? I have used this guide

    https://eltechs.com/run-teamspeak-3-...-raspberry-pi/

  14. #14
    Join Date
    January 2019
    Posts
    3

    Could not start file manager 1538 invalid parameter

    Hey
    I havve a server running on an raspberry pi 3 b+ and when i want to start it it says
    |CRITICAL|VirtualSvrMgr | |Could not start file manager 1538 invalid parameter
    Does someone have an idea to solve this issue.

    P.S Im not very good in stuff like that so please be patient with me :)
    P.P.S Sorry for my bad english im from Germany
    Last edited by dante696; January 30th, 2019 at 07:33 PM. Reason: merged

  15. #15
    Join Date
    August 2018
    Posts
    2

    The new update 3.8.0 won't start

    My server is on a raspberry pi 3 and i'm using the exagear tool for starting my server. Everything works very well, I do the update and now when i use
    Code:
    ./ts3server_startscript.sh
    It says :
    Code:
    ts3server.pid found, but no server running. Possibly your previously started server crashed
    Please view the logfile for details.
    Starting the TeamSpeak 3 server
    TeamSpeak 3 server started, for details please view the log file
    But the server don't start ... So i tried
    Code:
    ./ts3server_minimal_runscript.sh
    but here no output so the server don't start I've restore my save (january 2019 ) and everythings works ...
    Last edited by dante696; June 3rd, 2019 at 07:45 AM. Reason: merged

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Impossible to upload files on Raspberry Pi 2
    By EvergreenGOD in forum Linux / FreeBSD
    Replies: 0
    Last Post: May 9th, 2016, 03:06 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •